/* eslint-env jest */
import WESButtonToggle from '../button-toggle';
import * as utils from '../../../../../.jest/utils';
// Register custom element for jest wrapper
customElements.define('wes-button-toggle', WESButtonToggle);

describe('wes-button-toggle', () => {
  afterEach(() => {
    // The jsdom instance is shared across test cases in a single file so reset the DOM
    while (document.body.firstChild) {
      document.body.removeChild(document.body.firstChild);
    }
  });
  it('should contain pressed attribute', async () => {
    const element = utils.renderIntoBody(`<wes-button-toggle pressed>Test</wes-button-toggle>`);
    const button = element.shadowRoot.querySelector('button');
    expect(element).not.toHaveAttribute('pressed', 'true');
    expect(button).toHaveAttribute('aria-pressed', 'true');
  });
  it('should not contain pressed attribute', async () => {
    const element = utils.renderIntoBody(`<wes-button-toggle>Test</wes-button-toggle>`);
    const button = element.shadowRoot.querySelector('button');
    expect(element).not.toHaveAttribute('pressed', 'false');
    expect(button).toHaveAttribute('aria-pressed', 'false');
  });
  it('is accessible', async () => {
    const element = utils.renderIntoBody(`<wes-button-toggle>Test</wes-button-toggle>`);
    return Promise.resolve().then(() => {
      expect(element).toBeAccessible();
    });
  });
});
