/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
  Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */

import ButtonToggle from './button-toggle';
import ButtonToggleDocs from './button-toggle.mdx';

export default {
  title: 'Website Experience Subsystem/Components/Button Toggle',
  component: ButtonToggle,
  parameters: {
    docs: {
      page: ButtonToggleDocs,
    },
  },
  argTypes: {
    defaultSlot: {
      name: 'default',
      control: {
        type: 'text',
      },
      defaultValue: 'Toggle',
      table: {
        category: 'slots',
      },
    },
    pressed: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
      table: {
        category: 'attributes',
      },
    },
    disabled: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
      table: {
        category: 'attributes',
      },
    },
  },
};

const BaseTemplate = (args) => `
  <wes-button-toggle ${args.disabled ? 'disabled' : ''} ${args.pressed ? 'pressed' : ''}>
      ${args.defaultSlot}
  </wes-button-toggle>
`;
export const Base = BaseTemplate.bind({});
